// Header File
// Created 7/23/2010; 7:46:35 PM

//General includes
#include <alloc.h>
#include <dialogs.h>
#include <mem.h>
#include <statline.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <vat.h>

//Debugging includes
#include <kbd.h>

//tokenInfo structure for containing 83+ token info
typedef struct 
{
    char *name;								// The name of the token (never more than 16 chars!)
    size_t chars; 								// How many chars are in the string making up the token
    int twoByteToken; 						// Whether or not the token is two bytes
    unsigned char hex[2]; 				// The two bytes making up the token, or only hex[0] if it's a one-byte token
} tokenInfo;

//tokenize.c functions
int isToken(char *string, tokenInfo *tokens);
void initTokens(tokenInfo *tokens, char *tokenfile);
tokenInfo findToken(char *string, tokenInfo *tokens);
void tokenizeString(char *string, unsigned char *buffer, tokenInfo *tokens);
void tokenizePrgm(char *input, unsigned char *output, char *tokenfile);

//make8xp.c functions
extern int getPrgmFromText(char *filename, unsigned char *input, unsigned short size);